with ada.text_IO;
package body fred is
   Count : Integer := 0;
   procedure Close_Callback(Obj : in out mcc.gui.container.window.window'class) is
   begin
      Count := Count + 1;
      if Count = 2 then
         mcc.gui.container.window.destroy(obj);
      end if;
   end Close_Callback;

   procedure Resize_Callback(
      Obj : in out mcc.gui.container.window.window'class;
      Width : in Integer;
      Height : in Integer) is
   begin
      ada.text_io.put_line(integer'image(width));
      ada.text_io.put_line(integer'image(height));
   end Resize_Callback;
end fred;